| DocBook: The Definitive Guide Version 2.0.8 (Alpha)

# returnvalue

$Revision: 1.3 $

$Date: 2002/06/12 11:18:33 $

returnvalue — The value returned by a function

## Synopsis

### Mixed Content Model

    returnvalue ::=
    (#PCDATA|replaceable|inlinegraphic|inlinemediaobject|indexterm|
     beginpage)*

### Attributes

Common attributes

## Description

`ReturnValue` identifies the value returned by a function or command.

### Processing expectations

Formatted inline.

### Parents

These elements contain returnvalue: `action`, `application`, `attribution`, `bibliomisc`, `bridgehead`, `citation`, `citetitle`, `classsynopsisinfo`, `command`, `computeroutput`, `database`, `emphasis`, `entry`, `filename`, `foreignphrase`, `funcparams`, `funcsynopsisinfo`, `function`, `glosssee`, `glossseealso`, `glossterm`, `hardware`, `interfacename`, `keycap`, `lineannotation`, `link`, `literal`, `literallayout`, `lotentry`, `member`, `msgaud`, `olink`, `option`, `optional`, `para`, `parameter`, `phrase`, `primary`, `primaryie`, `productname`, `programlisting`, `property`, `quote`, `refdescriptor`, `refentrytitle`, `refname`, `refpurpose`, `remark`, `screen`, `screeninfo`, `secondary`, `secondaryie`, `see`, `seealso`, `seealsoie`, `seeie`, `seg`, `segtitle`, `simpara`, `subtitle`, `synopsis`, `systemitem`, `term`, `tertiary`, `tertiaryie`, `title`, `titleabbrev`, `tocback`, `tocentry`, `tocfront`, `trademark`, `ulink`, `userinput`.

### Children

The following elements occur in returnvalue: `beginpage`, `indexterm`, `inlinegraphic`, `inlinemediaobject`, `replaceable`.

## See Also

`funcdef`, `funcparams`, `funcprototype`, `funcsynopsisinfo`, `function`, `paramdef`, `parameter`, `varargs`, `void`.

## Examples

    <!DOCTYPE para PUBLIC "-//OASIS//DTD DocBook XML V4.1.2//EN"
              "http://www.oasis-open.org/docbook/xml/4.1.2/docbookx.dtd">
    <para>
    The <function>open</function> function returns <returnvalue>2</returnvalue>
    (<errorname>ENOFILE</errorname>) if the file does not exist.
    </para>

The `open` function returns 2 (ENOFILE) if the file does not exist.

replaceable |  | revdescription

Copyright © 1999, 2000, 2001, 2002 O'Reilly & Associates, Inc. All rights reserved.